> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nomi.tools/llms.txt
> Use this file to discover all available pages before exploring further.

# Update category

> Update an existing nomenclature category.



## OpenAPI

````yaml put /v1/nomenclature/categories/{id}
openapi: 3.0.0
info:
  title: Nomenclature API
  version: 1.0.0
servers:
  - url: https://api.nomi.tools
    description: Main API server
security:
  - basicAuth: []
paths:
  /v1/nomenclature/categories/{id}:
    put:
      tags:
        - Nomenclature / Categories
      summary: Update category
      description: Update an existing nomenclature category.
      operationId: saveCategory
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/NomenclatureCategoryPayload'
      responses:
        '200':
          description: Category updated successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
components:
  schemas:
    NomenclatureCategoryPayload:
      type: object
      required:
        - name
      properties:
        id:
          type: string
          nullable: true
        name:
          type: string
        parentId:
          type: string
          nullable: true
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
      description: >
        Use HTTP Basic Authentication.  Provide your email as login and PPT
        token as the password.

````